#pragma once

#include "bombax.h"
#include "..\pilelibs\includes\robbase\ActionJog.h" 

class BOMBAX_API CActionJogXY :	public CActionJog
{
public:
	CActionJogXY(void);
	virtual ~CActionJogXY(void);
 
	virtual BOOL  StartJog( int* pErrCode);
	virtual BOOL  StopJog(int* pErrCode);
	virtual BOOL  UpdateJog( int* pErrCode){
		return StartJog(pErrCode);
	}

public:	 
	COptions* m_pOptsY; 
	int       m_dirY;
};

